package com.qhtx.eta.domain.config;

import com.qhtx.eta.common.constant.ETAConstants;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import java.util.concurrent.LinkedBlockingDeque;
import java.util.concurrent.ThreadPoolExecutor;
import java.util.concurrent.TimeUnit;

/**
 * 线程池的config管理
 *
 * @author: ChickenWing
 * @date: 2023/11/26
 */
@Configuration
public class ThreadPoolConfig {

    @Bean(name = "ETAInfoThreadPool")
    public ThreadPoolExecutor etaInfoThreadPool() {
        return new ThreadPoolExecutor(10, 20, 5, TimeUnit.SECONDS, new LinkedBlockingDeque<>(40), new ETAThreadFactory(ETAConstants.THREAD_POOL_ETA_INFO), new ThreadPoolExecutor.CallerRunsPolicy());
    }

    @Bean(name = "ETADataThreadPool")
    public ThreadPoolExecutor etaDataThreadPool() {
        return new ThreadPoolExecutor(10, 20, 5, TimeUnit.SECONDS, new LinkedBlockingDeque<>(40), new ETAThreadFactory(ETAConstants.THREAD_POOL_ETA_DATA), new ThreadPoolExecutor.CallerRunsPolicy());
    }

}
