package com.qhtx.eta.infra.utils;

import com.alibaba.druid.filter.config.ConfigTools;
import org.springframework.beans.factory.annotation.Value;

import javax.annotation.Resource;
import java.security.NoSuchAlgorithmException;
import java.security.NoSuchProviderException;

/**
 * 数据库加密util
 *
 * @author: ChickenWing
 * @date: 2023/10/1
 */
public class DruidEncryptUtil {
    /**
     * 数据库密码加密方法
     *
     * @param privateKey
     * @param plainText
     * @return
     * @throws Exception
     */
    public static String encrypt(String privateKey, String plainText) throws Exception {
        return ConfigTools.encrypt(privateKey, plainText);
    }

    /**
     * 数据库密码解密方法
     *
     * @param publicKey
     * @param encryptText
     * @return
     * @throws Exception
     */
    public static String decrypt(String publicKey, String encryptText) throws Exception {
        return ConfigTools.decrypt(publicKey, encryptText);
    }
}


